Package com.google.protobuf

# Class Internal.ListAdapter<F,T>

java.lang.Object
java.util.AbstractCollection<T>
java.util.AbstractList<T>
com.google.protobuf.Internal.ListAdapter<F,T>

All Implemented Interfaces:
  `Iterable<T>`, `Collection<T>`, `List<T>`, `SequencedCollection<T>`

Enclosing class:
  `Internal`

public static class Internal.ListAdapter<F,T> extends AbstractList<T>
Provides an immutable view of `List<T>` around a `List<F>`.

Protobuf internal. Used in protobuf generated code only.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Internal.ListAdapter.Converter<F,T>`
Convert individual elements of the List from F to T.

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`ListAdapter(List<F> fromList, Internal.ListAdapter.Converter<F,T> converter)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get(int index)`
`int`
`size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, addFirst, addLast, contains, containsAll, getFirst, getLast, isEmpty, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, sort, spliterator, toArray, toArray`

## Constructor Details

### ListAdapter

public ListAdapter(List<F> fromList, Internal.ListAdapter.Converter<F,T> converter)

## Method Details

### get

public T get(int index)

Specified by:
  `get` in interface `List<F>`
Specified by:
  `get` in class `AbstractList<T>`

### size

public int size()

Specified by:
  `size` in interface `Collection<F>`
Specified by:
  `size` in interface `List<F>`
Specified by:
  `size` in class `AbstractCollection<T>`